package p10_klasy.moje1;

// Niech Towar ma nazwę i cenę
// Zdefiniuj konstruktor oraz metodę toString
// Dodatkowa metoda jakiKoszt(int sztuk) , która zwraca info, jaka kwota będzie do zapłaty za podaną liczbę sztuk
// Napisz program, w którym tworzysz dwa przykładowe Towary i je wypisujesz oraz sprawdź działanie dodatkowej metody.
public class Towar {
    String nazwa;
    double cena; // profesjonalniej byłoby BigDecimal
    
    Towar(String nazwa, double cena) {
        this.nazwa = nazwa;
        this.cena = cena;
    }

    @Override
    public String toString() {
        return String.format("Towar %s za cenę %.2f zł", nazwa, cena);
    }
    
    double jakiKoszt(int sztuk) {
        return cena * sztuk;
    }
    
}
